### Enumeration

# AppStream ReleaseKind

since: 0.12.0

#### Declaration

    enum AppStream.ReleaseKind

#### Description [src]

The release kind.

Available since: 0.12.0

#### Members

`AS_RELEASE_KIND_UNKNOWN`

  Unknown release type.

  - Value: `0`
  - Available since: 0.12.0
`AS_RELEASE_KIND_STABLE`

  A stable release for end-users.

  - Value: `1`
  - Available since: 0.12.0
`AS_RELEASE_KIND_DEVELOPMENT`

  A development release or pre-release for testing.

  - Value: `2`
  - Available since: 0.12.0
`AS_RELEASE_KIND_SNAPSHOT`

  A snapshot of a software being worked on.

  - Value: `3`
  - Available since: 0.12.0

#### Type functions

###### as_release_kind_from_string

Converts the text representation to an enumerated value.

since: 0.12.0

###### as_release_kind_to_string

Converts the enumerated value to an text representation.

since: 0.12.0